@echo off
rem
rem
rem         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
rem                  1994, 1995 All Rights Reserved
rem
rem  This software comprises unpublished confidential information of
rem  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
rem  available to anyone, except in accordance with the license under
rem  which it is furnished.
rem
@echo on
fxcc -O2 -c -I../../../include main.c
fxcc -O2 -c -I../../../include move.c
fxcc -O2 -c butaagc.c
fxcc -O2 -c butaaic.c
del samplink.tmp
echo -v -mbuta.map -o buta > samplink.tmp
echo /zseg+vlib_zero+farl_zero:100,,7e00 /cseg:8000 >> samplink.tmp
echo ../../../lib/_startup.o ../../../lib/_stack.o >> samplink.tmp
echo main.o move.o butaagc.o butaaic.o >> samplink.tmp
echo ../../../sample/common/libcmn73.a >> samplink.tmp
echo ../../../lib/libfarl.a ../../../lib/vlib.a >> samplink.tmp
fxlk @samplink.tmp
del samplink.tmp
